package com.ruoyi.asset.service;

import java.util.List;

import com.ruoyi.asset.domain.TbAssetInformation;

/**
 * 资产信息Service接口
 * 
 * @author 原动力
 * @date 2023-05-15
 */
public interface ITbAssetInformationService 
{
    /**
     * 查询资产信息
     * 
     * @param id 资产信息主键
     * @return 资产信息
     */
    public TbAssetInformation selectTbAssetInformationById(Long id);

    List<TbAssetInformation> selectTbAssetInformationByIds(List<Long> ids);

    /**
     * 查询资产信息
     *
     * @param assetNumber 资产信息编号
     * @return 资产信息
     */
    TbAssetInformation selectTbAssetAdjustmentByAssetNumber(String assetNumber);

    /**
     * 查询资产信息列表
     * 
     * @param tbAssetInformation 资产信息
     * @return 资产信息集合
     */
    List<TbAssetInformation> selectTbAssetInformationList(TbAssetInformation tbAssetInformation);

    List<TbAssetInformation> selectTbAssetInformationList2(TbAssetInformation tbAssetInformation);

    List<TbAssetInformation> selectInfoList(TbAssetInformation tbAssetInformation);

    /**
     * 新增资产信息
     * 
     * @param tbAssetInformation 资产信息
     * @return 结果
     */
    int insertTbAssetInformation(TbAssetInformation tbAssetInformation);

    /**
     * 修改资产信息
     * 
     * @param tbAssetInformation 资产信息
     * @return 结果
     */
    int updateTbAssetInformation(TbAssetInformation tbAssetInformation);

    /**
     * 批量删除资产信息
     * 
     * @param ids 需要删除的资产信息主键集合
     * @return 结果
     */
    int deleteTbAssetInformationByIds(Long[] ids);

    /**
     * 删除资产信息信息
     * 
     * @param id 资产信息主键
     * @return 结果
     */
    public int deleteTbAssetInformationById(Long id);

    /**
     * 自定义字段
     */
    public boolean setDiy(List<String> labels);

    public List<String> getDiy();

    public boolean updateProperty(TbAssetInformation information);

    /**
     * 导入用户数据
     *
     * @param stuList 用户数据列表
     * @param isUpdateSupport 是否更新支持，如果已存在，则进行更新数据
     * @param operName 操作用户
     * @return 结果
     */
    public String importCon(List<TbAssetInformation> stuList, Boolean isUpdateSupport, String operName);
}
